# Interface ServerAuthContext

All Superinterfaces:
  `ServerAuth`

public interface ServerAuthContext extends ServerAuth
Provides server-side authentication of requests and response signing.

This interface extends `ServerAuth` and is obtained from a `ServerAuthConfig`. It is used by the container to authenticate incoming requests and secure outgoing responses.

- ## Method Summary

  ### Methods inherited from interface ServerAuth

  `cleanSubject, secureResponse, validateRequest`